//****************************************************************************
//NOKIA LCD
//Function library
//Build by Panda
//Based on source from http://www.sunbizhosting.com/~spiral/
//19.04.2009
//****************************************************************************

#define CMD	0
#define DATA	1

#define NORMAL 0
#define INVERT 1
#define BOLD   2

//****************************************************************************
//Place this code before define liblary
//
//sfrb LCD_PORT=0x18;
#define LCD_PORT (*(unsigned char *) 0x62)
#define sclk         4; //bit number 4
#define sda          5; //bit number 5
#define cs           6; //bit number 6
#define rst          7; //bit number 7
//****************************************************************************

void lcd_init(void);
void lcd_write(char cd,unsigned char c);
void lcd_clear(void);
void setx(char x);
void sety(char y);
void gotoxy(char x,char y);
void vline(char x,char y,char on);
void line(unsigned char x,unsigned char y,unsigned char y2,unsigned char on);
void print_message(flash char* message);
void print_char(char c);
void print_char_mode(char c, unsigned char mode);
void print_string(char * message, unsigned char mode);
//void print_msg(flash char * message); //invert print

#pragma library 1100.lib
