//******************************************************************************************
//
//  Progressor bar for lcd screen
//  by Panda_y2k aka Perenesey Andrey
//  09/03/2012
//
//******************************************************************************************


static const unsigned char ProgressBar[2][5]={
{0x00, 0x00, 0xFF, 0x81, 0x81},// left border space     0
{0x81, 0x81, 0xFF, 0x00, 0x00},// right border space    1
};

unsigned char progressor_y_pos, progressor_pos;

void progressor_increment()
{
        unsigned int k;
        progressor_pos++;
        k = progressor_pos*0.87;
        gotoxy(k+4, progressor_y_pos);
        lcd_write(DATA,0xBD);
}

void progressor_draw()
{
        unsigned char i;
        unsigned int  k;
        k=progressor_pos*0.87;
        gotoxy(0,progressor_y_pos);
        for ( i = 0; i < 4; i++ )
                    {lcd_write(DATA,ProgressBar[0][i]);
                                };
        for ( i = 0; i < 88; i++ )
                    {if (i<k) lcd_write(DATA,0xBD);
                     else lcd_write(DATA,0x81);
                                };

        for ( i = 1; i < 5; i++ )
                    {lcd_write(DATA,ProgressBar[1][i]);
                                };

    }

void progressor_clear()
{ unsigned char i;
  gotoxy(0,progressor_y_pos);
  for ( i = 0; i < 96; i++ )
      {lcd_write(DATA,0x00);
           };
  }

void progressor_init(unsigned char y)
{
 progressor_y_pos  = y;
 progressor_pos    = 0;
 progressor_draw();
 }